Package org.apache.catalina.authenticator.jaspic

# Class CallbackHandlerImpl

java.lang.Object
org.apache.catalina.authenticator.jaspic.CallbackHandlerImpl

All Implemented Interfaces:
  `CallbackHandler`, `Contained`

public class CallbackHandlerImpl extends Object implements CallbackHandler, Contained
Default implementation of a JASPIC CallbackHandler.

## Constructor Summary

Constructors
Constructor
Description
`CallbackHandlerImpl()`

## Method Summary

Modifier and Type
Method
Description
`Container`
`getContainer()`
Get the `Container` with which this instance is associated.
`void`
`handle(Callback[] callbacks)`
`void`
`setContainer(Container container)`
Set the `Container` with which this instance is associated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CallbackHandlerImpl

public CallbackHandlerImpl()

## Method Details

### handle

public void handle(Callback[] callbacks) throws IOException, UnsupportedCallbackException

Specified by:
  `handle` in interface `CallbackHandler`
Throws:
  `IOException`
  `UnsupportedCallbackException`

### getContainer

public Container getContainer()
Description copied from interface: `Contained`
Get the `Container` with which this instance is associated.

Specified by:
  `getContainer` in interface `Contained`
Returns:
  The Container with which this instance is associated or `null` if not associated with a Container

### setContainer

public void setContainer(Container container)
Description copied from interface: `Contained`
Set the `Container` with which this instance is associated.

Specified by:
  `setContainer` in interface `Contained`
Parameters:
  `container` - The Container instance with which this instance is to be associated, or `null` to disassociate this instance from any Container